List deploys
Returns the deploy audit trail for the environment (newest first), including
both deploy and rollback actions. limit defaults to 50 and is capped
at 100.
Query Parameters
- Type: integerlimitmin:1max:100
Maximum number of deploy records to return.
Responses
- application/json
- application/json
- application/json
Request Example for get/v1/deploys
curl 'https://api.useportal.co/v1/deploys?limit=25' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
Two recent deploys
{
"deploys": [
{
"id": "dep_01HBX...",
"configVersionId": "cfg_3f1a9b2c8d4e6f0a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0c1d2e3f4a",
"action": "deploy",
"createdAt": "2026-07-19T02:00:00.000Z"
},
{
"id": "dep_01HBY...",
"configVersionId": "cfg_2a1b...",
"action": "rollback",
"createdAt": "2026-07-18T18:00:00.000Z"
}
]
}